net.minecraft.command.server

## Class CommandScoreboard

- java.lang.Object
- - net.minecraft.command.CommandBase
  - - net.minecraft.command.server.CommandScoreboard

- All Implemented Interfaces:
    java.lang.Comparable, ICommand

      public class CommandScoreboard
      extends CommandBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandScoreboard()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, java.lang.String[] par2ArrayOfStr)`
    `protected ScorePlayerTeam` | `func_147183_a(java.lang.String p_147183_1_)`
    `protected java.util.List` | `func_147184_a(boolean p_147184_1_)`
    `protected void` | `func_147185_d(ICommandSender p_147185_1_, java.lang.String[] p_147185_2_, int p_147185_3_)`
    `protected void` | `func_147186_g(ICommandSender p_147186_1_, java.lang.String[] p_147186_2_, int p_147186_3_)`
    `protected void` | `func_147187_n(ICommandSender p_147187_1_, java.lang.String[] p_147187_2_, int p_147187_3_)`
    `protected void` | `func_147188_j(ICommandSender p_147188_1_, java.lang.String[] p_147188_2_, int p_147188_3_)`
    `protected ScoreObjective` | `func_147189_a(java.lang.String p_147189_1_, boolean p_147189_2_)`
    `protected void` | `func_147190_h(ICommandSender p_147190_1_, java.lang.String[] p_147190_2_, int p_147190_3_)`
    `protected void` | `func_147191_h(ICommandSender p_147191_1_, java.lang.String p_147191_2_)`
    `protected Scoreboard` | `func_147192_d()`
    `protected void` | `func_147193_c(ICommandSender p_147193_1_, java.lang.String[] p_147193_2_, int p_147193_3_)`
    `protected void` | `func_147194_f(ICommandSender p_147194_1_, java.lang.String[] p_147194_2_, int p_147194_3_)`
    `protected void` | `func_147195_l(ICommandSender p_147195_1_, java.lang.String[] p_147195_2_, int p_147195_3_)`
    `protected void` | `func_147196_d(ICommandSender p_147196_1_)`
    `protected void` | `func_147197_m(ICommandSender p_147197_1_, java.lang.String[] p_147197_2_, int p_147197_3_)`
    `protected void` | `func_147198_k(ICommandSender p_147198_1_, java.lang.String[] p_147198_2_, int p_147198_3_)`
    `protected void` | `func_147199_i(ICommandSender p_147199_1_, java.lang.String[] p_147199_2_, int p_147199_3_)`
    `protected void` | `func_147200_e(ICommandSender p_147200_1_, java.lang.String[] p_147200_2_, int p_147200_3_)`
    `java.lang.String` | `getCommandName()`
    `java.lang.String` | `getCommandUsage(ICommandSender par1ICommandSender)`
    `int` | `getRequiredPermissionLevel()`
    `boolean` | `isUsernameIndex(java.lang.String[] par1ArrayOfStr, int par2)`
    `void` | `processCommand(ICommandSender par1ICommandSender, java.lang.String[] par2ArrayOfStr)`

    - ### Methods inherited from class net.minecraft.command.CommandBase

      `canCommandSenderUseCommand, compareTo, compareTo, doesStringStartWith, func_110665_a, func_110666_a, func_147176_a, func_147178_a, func_82360_a, func_96332_d, getBlockByText, getCommandAliases, getCommandSenderAsPlayer, getItemByText, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, getPlayer, joinNiceString, joinNiceString, joinNiceStringFromCollection, notifyAdmins, notifyAdmins, parseBoolean, parseDouble, parseDoubleBounded, parseDoubleWithMin, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandScoreboard

          public CommandScoreboard()

  - ### Method Detail

    - #### getCommandName

          public java.lang.String getCommandName()

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

      Overrides:
        `getRequiredPermissionLevel` in class `CommandBase`

    - #### getCommandUsage

          public java.lang.String getCommandUsage(ICommandSender par1ICommandSender)

    - #### processCommand

          public void processCommand(ICommandSender par1ICommandSender,
                            java.lang.String[] par2ArrayOfStr)

    - #### func_147192_d

          protected Scoreboard func_147192_d()

    - #### func_147189_a

          protected ScoreObjective func_147189_a(java.lang.String p_147189_1_,
                                     boolean p_147189_2_)

    - #### func_147183_a

          protected ScorePlayerTeam func_147183_a(java.lang.String p_147183_1_)

    - #### func_147193_c

          protected void func_147193_c(ICommandSender p_147193_1_,
                           java.lang.String[] p_147193_2_,
                           int p_147193_3_)

    - #### func_147185_d

          protected void func_147185_d(ICommandSender p_147185_1_,
                           java.lang.String[] p_147185_2_,
                           int p_147185_3_)

    - #### func_147200_e

          protected void func_147200_e(ICommandSender p_147200_1_,
                           java.lang.String[] p_147200_2_,
                           int p_147200_3_)

    - #### func_147194_f

          protected void func_147194_f(ICommandSender p_147194_1_,
                           java.lang.String[] p_147194_2_,
                           int p_147194_3_)

    - #### func_147186_g

          protected void func_147186_g(ICommandSender p_147186_1_,
                           java.lang.String[] p_147186_2_,
                           int p_147186_3_)

    - #### func_147190_h

          protected void func_147190_h(ICommandSender p_147190_1_,
                           java.lang.String[] p_147190_2_,
                           int p_147190_3_)

    - #### func_147199_i

          protected void func_147199_i(ICommandSender p_147199_1_,
                           java.lang.String[] p_147199_2_,
                           int p_147199_3_)

    - #### func_147188_j

          protected void func_147188_j(ICommandSender p_147188_1_,
                           java.lang.String[] p_147188_2_,
                           int p_147188_3_)

    - #### func_147191_h

          protected void func_147191_h(ICommandSender p_147191_1_,
                           java.lang.String p_147191_2_)

    - #### func_147196_d

          protected void func_147196_d(ICommandSender p_147196_1_)

    - #### func_147198_k

          protected void func_147198_k(ICommandSender p_147198_1_,
                           java.lang.String[] p_147198_2_,
                           int p_147198_3_)

    - #### func_147195_l

          protected void func_147195_l(ICommandSender p_147195_1_,
                           java.lang.String[] p_147195_2_,
                           int p_147195_3_)

    - #### func_147197_m

          protected void func_147197_m(ICommandSender p_147197_1_,
                           java.lang.String[] p_147197_2_,
                           int p_147197_3_)

    - #### func_147187_n

          protected void func_147187_n(ICommandSender p_147187_1_,
                           java.lang.String[] p_147187_2_,
                           int p_147187_3_)

    - #### addTabCompletionOptions

          public java.util.List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                               java.lang.String[] par2ArrayOfStr)

      Specified by:
        `addTabCompletionOptions` in interface `ICommand`
      Overrides:
        `addTabCompletionOptions` in class `CommandBase`

    - #### func_147184_a

          protected java.util.List func_147184_a(boolean p_147184_1_)

    - #### isUsernameIndex

          public boolean isUsernameIndex(java.lang.String[] par1ArrayOfStr,
                                int par2)

      Specified by:
        `isUsernameIndex` in interface `ICommand`
      Overrides:
        `isUsernameIndex` in class `CommandBase`